Subject: Re: linux-next: build failure after merge of the mmc-uh tree

From: Thierry Reding <[email-masked]>
Date: Tue, 5 Jan 2016 17:30:52 +0100

On Thu, Dec 31, 2015 at 02:53:29PM +1100, Stephen Rothwell wrote:
> Hi Ulf,
> 
> After merging the mmc-uh tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> drivers/mmc/host/sdhci-tegra.c:361:38: error: redefinition of 'sdhci_tegra210_pdata'
>  static const struct sdhci_pltfm_data sdhci_tegra210_pdata = {
>                                       ^
> drivers/mmc/host/sdhci-tegra.c:343:38: note: previous definition of 'sdhci_tegra210_pdata' was here
>  static const struct sdhci_pltfm_data sdhci_tegra210_pdata = {
>                                       ^
> drivers/mmc/host/sdhci-tegra.c:370:42: error: redefinition of 'soc_data_tegra210'
>  static const struct sdhci_tegra_soc_data soc_data_tegra210 = {
>                                           ^
> drivers/mmc/host/sdhci-tegra.c:354:42: note: previous definition of 'soc_data_tegra210' was here
>  static const struct sdhci_tegra_soc_data soc_data_tegra210 = {
>                                           ^
> drivers/mmc/host/sdhci-tegra.c:372:14: error: 'NVQUIRK_DISABLE_SDR50' undeclared here (not in a function)
>   .nvquirks = NVQUIRK_DISABLE_SDR50 |
>               ^
> drivers/mmc/host/sdhci-tegra.c:373:7: error: 'NVQUIRK_DISABLE_DDR50' undeclared here (not in a function)
>        NVQUIRK_DISABLE_DDR50 |
>        ^
> drivers/mmc/host/sdhci-tegra.c:374:7: error: 'NVQUIRK_DISABLE_SDR104' undeclared here (not in a function)
>        NVQUIRK_DISABLE_SDR104,
>        ^
> 
> Caused by patch
> 
>    "mmc: tegra: Add Tegra210 support"
> 
> turning up in two trees (mmc-uh and tegra) as separate commits and then
> further changes to this file in the mmc-uh tree.
> 
> I used the version of the file from the mmc-uh tree.

Sorry about this. I had meant to send this to Ulf as a pull request
before the Christmas break but then got side-tracked and never got
around to it.

I've now removed that branch from the Tegra tree.

Thierry